# ADC2018

A cooperative system using multiple FPGAs for a simple 3D-Numberlink puzzle solver

## Environments

実際のソルバで使用している環境．

+ デバイス
    - Raspberry Pi 3 B+
    - PYNQ
    - ZU3EG

+ ソフトウェア
    - Python >= 3.5 (通信プログラム)
        * Flask
        * gevent
        * gevent-websocket
    - Vivado (Web Pack) >= 18.1 (FPGAの合成)

## Setups

[Wiki](https://www.togawa.cs.waseda.ac.jp/gitlab/adc2018/adc2018-system/wikis/home)も参照されたい．

各端末でこのリポジトリをCloneする．

```
cd ~
git clone https://www.togawa.cs.waseda.ac.jp/gitlab/adc2018/adc2018-system.git
```

## System

+ サーバ
    - [通信用スクリプト](comm/server)
+ ソルバ
    - [通信用スクリプト](comm/client)
    - [高位合成用プログラム](hls)
+ リゾルバ
    - [通信用スクリプト](comm/resolver)

## Our previous works

* [pynq-router](https://github.com/kotarot/pynq-router)
* [nl-solver](https://github.com/kotarot/nl-solver)

## License
This software is released under GPL v3 License, see [LICENSE](LICENSE).
